Package org.apache.lucene.spatial3d.geom

## Interface GeoMembershipShape

- All Superinterfaces:
    `Bounded`, `GeoBounds`, `GeoOutsideDistance`, `GeoShape`, `Membership`, `PlanetObject`, `SerializableObject`
  All Known Subinterfaces:
    `GeoAreaShape`, `GeoBBox`, `GeoCircle`, `GeoDistanceShape`, `GeoPath`, `GeoPointShape`, `GeoPolygon`
  All Known Implementing Classes:
    `GeoBaseDistanceShape`, `GeoBaseMembershipShape`, `GeoCompositeAreaShape`, `GeoCompositeMembershipShape`, `GeoCompositePolygon`, `GeoDegenerateVerticalLine`

      public interface GeoMembershipShape
      extends GeoShape, GeoOutsideDistance

  Membership shapes have capabilities of both geohashing and membership determination.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Method Summary

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Bounded

      `getBounds`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoOutsideDistance

      `computeOutsideDistance, computeOutsideDistance`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.GeoShape

      `getEdgePoints, intersects`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.Membership

      `isWithin, isWithin`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.PlanetObject

      `getPlanetModel`

    - ### Methods inherited from interface org.apache.lucene.spatial3d.geom.SerializableObject

      `write`